## org.apache.batik.script.rhino
Class RhinoInterpreter.Entry

    java.lang.Object
      org.apache.batik.script.rhino.RhinoInterpreter.Entry

Enclosing class:
  RhinoInterpreter

    protected static class RhinoInterpreter.Entry

extends java.lang.Object

Class to store cached compiled scripts.

Field Summary
`org.mozilla.javascript.Script` `script` The compiled script.
`java.lang.String` `str` The script string.

Constructor Summary
`RhinoInterpreter.Entry(java.lang.String str, org.mozilla.javascript.Script script)` Creates a new script cache entry object.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### str

    public java.lang.String str

  The script string.

### script

    public org.mozilla.javascript.Script script

  The compiled script.

Constructor Detail

### RhinoInterpreter.Entry

    public RhinoInterpreter.Entry(java.lang.String str,
                                  org.mozilla.javascript.Script script)

  Creates a new script cache entry object.

Copyright © 2008 Apache Software Foundation. All Rights Reserved.